	PROGRAM TEST7
	DIMENSION X(512),Y(512),IBUF(30),ARRAY(10)
	DO 10 I=1,512
	X(I)=ALOG10(FLOAT(I))
	R=(6.2832)*FLOAT(I)/200.
	Y(I)=SIN(R)
10	CONTINUE
	CALL GRAPHS(IBUF,227,X,Y,512,0.,0)
	call vthtxt(8,22,1,' GRINDX subroutine demonstration ')
	call vthtxt(8,23,1,' use <-- and --> keys to move cursor ')
	call vthtxt(8,24,1,' use 1,2,3,4,5,6,7,8,9,0 to store position.
	1  <CR> to end routine ')
	CALL GRINDX(IBUF,X,512,ARRAY,0)
	CALL VTCLR
	type 20,(J,ARRAY(J),J=1,10)
20	FORMAT(' J=',I3,'  ARRAY(J)=',F10.3)
	TYPE 25
25	FORMAT(' Select an element and get its value.'/
	1 ' An element greater than 9 will exit.')
30	type 32
32	FORMAT(' ELEMENT? ',$)
	READ (5,100)IEL
100	FORMAT(I)
	IF(IEL.GT.9)GOTO 40
	type 34,X(IEL)
34	FORMAT(' ',E13.6)
	GOTO 30
40	CALL EXIT
	END

